Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000435Core InformPropertiespublic2010-11-23 22:282014-05-07 07:35
ReporterPoster 
Assigned Tograham 
PrioritynormalSeveritycosmeticReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version6F95 
Target VersionFixed in Version6L02 
Summary0000435: Including spurious "called X" in kind-named property definition fails to compile and produces unhelpful error message.
DescriptionThe problem with the code below is that the text "called theme" is redundant. It would be more natural for the compiler to ignore unnecessary phrases or to throw out a warning, especially given I7's natural language leanings.

But if only the error message can be changed, then something like this would be more helpful:

Problem. The sentence "Movie is a thing. Movie has a theme called theme." uses "called theme" but those words are not needed for properties that have the same name as kinds (in this case, "theme"). Instead, you should write "Movie is a thing. Movie has a theme."

----
Problem. The sentence 'The themes are good and bad' appears to say two things are the same - I am reading 'themes' and 'good' as two different things, and therefore it makes no sense to say that one is the other: it would be like saying that 'Choucas is Hibou'. It would be all right if the second thing were the name of a kind, perhaps with properties: for instance 'The Hall is a lighted room' says that something called The Hall exists and that it is a 'room', which is a kind I know about, combined with a property called 'lighted' which I also know about.

Problem. You wrote 'Movie has a theme called theme' , but 'theme' is not the name of a kind of value which I know (such as 'number' or 'text').
 See the manual: 4.8 > New value properties
Minimal Source Text To Reproduce
Sanitarium is a room.

Theme is a kind of value. The themes are good and bad.

Movie is a thing. Movie has a theme called theme.
TagsNo tags attached.
Effect(cosmetic) Error message is badly worded
Attached Files

- Relationships
has duplicate 0000477closedjmcgrew Animals Cannot Have Properties Named the Same As Kinds 

-  Notes
(0001397)
graham (administrator)
2011-10-16 07:26

Not many people will run into this, but I've added a problem:

You wrote 'Movie has a theme called theme': but the 'called' here appears to be unnecessary, and this sentence should be simplified. For example, 'A door has a number called number' is not allowed: it should be just 'A door has a number', or something more specific like 'A door has a number called the street number'.

- Issue History
Date Modified Username Field Change
2010-11-23 22:28 Poster New Issue
2010-11-23 23:10 jmcgrew Status new => confirmed
2010-12-19 15:34 jmcgrew Relationship added has duplicate 0000477
2010-12-19 15:36 jmcgrew Category Kinds and type checking => Properties
2010-12-19 15:36 jmcgrew Summary Including spurious "called X" in object definition fails to compile and produces unhelpful error message. => Including spurious "called X" in kind-named property definition fails to compile and produces unhelpful error message.
2011-10-16 07:26 graham Note Added: 0001397
2011-10-16 07:26 graham Status confirmed => resolved
2011-10-16 07:26 graham Resolution open => fixed
2011-10-16 07:26 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:35 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker